import math
import random
from config import *


# 1px = 1.35m
# 1.42 m/s normal walking speed
# => one tick is one second (1.35 or 1.35 * sqrt(2) for diagonal
def tick_to_hour(tick_count):
    return int(math.floor(tick_count / TICKS_PER_HOUR) + HOUR_OFFSET) % 24


# 1px = 1.35m
# 1.42 m/s normal walking speed
# => one tick is one second (1.35 or 1.35 * sqrt(2) for diagonal
def tick_to_day(tick_count):
    return int(math.floor((tick_count / TICKS_PER_HOUR + HOUR_OFFSET)/ 24))


# returns randomly true or false based on the given rate
def chance(rate) -> bool:
    return random.random() < rate
